Summary: A language for data analysis and graphics
Name: R
Version: 2.0.1
Release: 1.PU_IAS.1
Source0: ftp://cran.r-project.org/pub/R/src/base/R-%{version}.tar.gz
Patch0: R-LANG.patch
License: GPL
Group: Applications/Engineering
URL: http://www.r-project.org
BuildRoot: %{_tmppath}/%{name}-root
Icon: logosm-trans.gif
Provides: R-base, R-recommended
Obsoletes: R-base, R-recommended
Requires: %__perl 
BuildRequires: tk-devel, tetex-latex 

%description
`GNU S' - A language and environment for statistical computing and
graphics. R is similar to the award-winning S system, which was
developed at Bell Laboratories by John Chambers et al. It provides a
wide variety of statistical and graphical techniques (linear and
nonlinear modelling, statistical tests, time series analysis,
classification, clustering, ...).

R is designed as a true computer language with control-flow
constructions for iteration and alternation, and it allows users to
add additional functionality by defining new functions. For
computationally intensive tasks, C, C++ and Fortran code can be linked
and called at run time.

%prep
%setup -q 
#patch0 -p1

%build
export R_BROWSER="/usr/bin/mozilla" 
( %configure \
    --with-tcl-config=%{_libdir}/tclConfig.sh \
    --with-tk-config=%{_libdir}/tkConfig.sh ) \
 | egrep '^R is now|^ |^$' - > CAPABILITIES
make 
make check-all
make pdf
make info

%install
%makeinstall rhome=%{?buildroot:%{buildroot}}%{_libdir}/R install-info
rm -f %{?buildroot:%{buildroot}}%{_infodir}/dir
rm -f %{?buildroot:%{buildroot}}%{_infodir}/dir.old

#Fix location of R_HOME_DIR in shell wrapper.
#
sed -e "s@R_HOME_DIR=.*@R_HOME_DIR=%{_libdir}/R@" < bin/R \
  > %{?buildroot:%{buildroot}}%{_libdir}/R/bin/R
sed -e "s@R_HOME_DIR=.*@R_HOME_DIR=%{_libdir}/R@" < bin/R \
   > %{?buildroot:%{buildroot}}%{_bindir}/R
chmod 755 %{?buildroot:%{buildroot}}%{_libdir}/R/bin/R 
chmod 755 %{?buildroot:%{buildroot}}%{_bindir}/R

# Remove package indices. They are rebuilt by the postinstall script.
#
rm -f %{?buildroot:%{buildroot}}%{_libdir}/R/doc/html/function.html
rm -f %{?buildroot:%{buildroot}}%{_libdir}/R/doc/html/packages.html
rm -f %{?buildroot:%{buildroot}}%{_libdir}/R/doc/html/search/index.txt

%files 
%defattr(-, root, root)
%{_bindir}/R
%{_libdir}/R
%doc AUTHORS CAPABILITIES COPYING COPYING.LIB COPYRIGHTS FAQ NEWS
%doc ONEWS README RESOURCES THANKS VERSION Y2K
%doc doc/manual/R-*.pdf
%{_infodir}/R-*.info*
%{_mandir}/man1/*

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%post 
# Create directory entries for info files
# (optional doc files, so we must check that they are installed)
for doc in admin exts FAQ intro lang; do
   file=%{_infodir}/R-${doc}.info.gz
   if [ -e $file ]; then
      /sbin/install-info ${file} %{_infodir}/dir
   fi
done
# Update package indices
%{_bindir}/R CMD perl %{_libdir}/R/share/perl/build-help.pl --htmllists
%__cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%preun 
if [ $1 = 0 ]; then
   # Delete directory entries for info files (if they were installed)
   for doc in admin exts FAQ intro lang; do
      file=%{_infodir}/R-${doc}.info.gz
      if [ -e ${file} ]; then
         /sbin/install-info --delete R-${doc} %{_infodir}/dir
      fi
   done
   # Remove package indices
   %__rm -f %{_libdir}/R/doc/html/function.html
   %__rm -f %{_libdir}/R/doc/html/packages.html
   %__rm -f %{_libdir}/R/doc/html/search/index.txt
fi

%changelog
* Thu Apr 01 2004 Martyn Plummer <plummer@iarc.fr>
- Added patch to set environment variable LANG to C in shell wrapper,
  avoiding warnings about UTF-8 locale not being supported

* Mon Mar 15 2004 Martyn Plummer <plummer@iarc.fr>
- No need to export optimization flags. This is done by %configure
- Folded info installation into %makeinstall 
- Check that RPM_BASE_ROOT is not set to "/" before cleaning up

* Thu Feb 03 2004 Martyn Plummer <plummer@iarc.fr>
- Removed tcl-devel from BuildRequires

* Tue Feb 03 2004 Martyn Plummer <plummer@iarc.fr>
- Changes from James Henstridge <james@daa.com.au> to allow building on IA64:
- Added BuildRequires for tcl-devel tk-devel tetex-latex
- Use the %configure macro to call the configure script
- Pass --with-tcl-config and --with-tk-config arguments to configure
- Set rhome to point to the build root during "make install"

* Wed Jan 07 2004 Martyn Plummer <plummer@iarc.fr>
- Changed obsolete "copyright" field to "license"

* Fri Nov 21 2003 Martyn Plummer <plummer@iarc.fr>
- Built 1.8.1

* Tue Jun 24 2003 Martyn Plummer <plummer@iarc.fr>
- Redirect output of configure script to CAPABILITIES file which is then
  packaged as a doc file.

* Fri Apr 04 2003 Martyn Plummer <plummer@iarc.fr>
- Built 1.7.0 beta
- Use make check-all instead of make check

* Tue Jan 14 2003 Martyn Plummer <plummer@iarc.fr>
- Made Mozilla the default browser
- Built R 1.6.2
